import { r as registerInstance, h } from './core-d265845a.js';

const Column = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
    }
    render() {
        return (h("div", { class: {
                column: true,
                'is-narrow': this.isNarrow && typeof this.isNarrow === 'boolean',
                [this.class]: Boolean(this.class),
            } }, h("slot", null)));
    }
};

export { Column as bm_column };
